require_relative './config.rb'

module Services
  module Config
    module Base
      module ConfigStrucBase
        QUEUE_NAME_KEYS = [
          'publish',
          'subscribe',
          'durable',
          'auto_delete',
          'exchange_name',
          'exclusive'
        ]
        ROOT_KEY = 'rabbit_mq'.freeze
        QUEUE_NAME_KEY = 'queue_names'.freeze
        CONNECTION_STRING_KEY = 'connection_string'.freeze
        INIT_ERR_MSG = 'ConfigStruct#init -> #setup_vars'.freeze
        BASIC_KEY = 'is_basic'.freeze


        def sub_queue_name
          queue_names[0].subscribe
        end

        def pub_queue_name
          queue_names[0].publish
        end

        def durable
          queue_names[0].durable
        end

        def durable
          queue_names[0].durable
        end

        def exchange_name
          queue_names[0].exchange_name
        end
      end
    end
  end
end
