require_relative './rabbit_wrapper.rb'
require_relative './base.rb'

module Services
  module RabbitWrapper
    module FromConfig
      def self.run(config: nil, sub_proc: nil)
        rabbit_wrapper = Services::RabbitWrapper::Base.new(config: config)
        msg_counter = 0

        rabbit_wrapper.subscribe do |body|
          msg_counter += 1
          puts " Processing Msg Number #{msg_counter}"
          sub_proc.call(body, rabbit_wrapper)
        end

        rabbit_wrapper
      end
    end
  end
end
